billing

POST /v1/payment-methods

Begin adding a payment method (on-session).

모든 billing 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 키는 반드시 billing.payment.manage 권한을 가지고 있어야 하며, 권한이 없는 키는 404가 아닌 403으로 거부됩니다.

조직 ID가 들어가는 위치

이 엔드포인트는 JSON 본문의 필드로 org_id을(를) 받습니다.

조직 ID는 대시보드의 API 키 화면에서 키 바로 옆에 있습니다. 이는 실행하는 모든 호출에서 동일한 ID입니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X POST https://api.zinndigital.com/v1/payment-methods \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{  }'

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Opens a gateway SetupIntent and returns its short-lived `client_secret` for the browser SDK to confirm, completing 3-D Secure there. **No payment method is created by this call** — a mandate is consent, and the row is written only when the gateway confirms it on its webhook (ADR 0011 §3). Requires `billing.payment.manage` in the target organization.

요청 본문

이름유형필수설명
org_idstring아니요Organization to attach the mandate to. The caller must hold `billing.payment.manage` in **that** organization.

응답

이름유형필수설명
setup_intent_idstring
client_secretstring

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 422 · 429